| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Lib.SerializerBase.SerializationTestArrayMember Class Reference

Member of arrays in test classes for testing serialization. More...

Inheritance diagram for IG.Lib.SerializerBase.SerializationTestArrayMember:
[legend]
Collaboration diagram for IG.Lib.SerializerBase.SerializationTestArrayMember:
[legend]

## Public Member Functions
| SerializationTestArrayMember ()
| SerializationTestArrayMember (long longNum, double doubleNum, string str)
override string | ToString ()

## Protected Attributes
string | _modifiedName

## Properties
virtual int | Index1`[get, set]`
virtual int | Index2`[get, set]`
virtual string | Name`[get, set]`
virtual string | ModifiedName`[get, set]`
virtual long | LongNumber`[get, set]`
virtual double | DoubleNumber`[get, set]`
Properties inherited from IG.Lib.SerializerBase.ISerializationTestArrayMember
int | Index1`[get, set]`
int | Index2`[get, set]`
string | Name`[get, set]`
long | LongNumber`[get, set]`
double | DoubleNumber`[get, set]`

## Private Attributes
int | _ind1
int | _ind2
long | _longNumber = 0
double | _doubleNumber = 0.0
string | _str = null

## Detailed Description

Member of arrays in test classes for testing serialization.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG.Lib.SerializerBase.SerializationTestArrayMember.SerializationTestArrayMember | ( |  | ) |
| inline

IG.Lib.SerializerBase.SerializationTestArrayMember.SerializationTestArrayMember | ( | long | longNum,
|  | double | doubleNum,
|  | string | str
| ) |  |
| inline

## Member Function Documentation

override string IG.Lib.SerializerBase.SerializationTestArrayMember.ToString | ( |  | ) |
| inline

Referenced by IG.Lib.SerializerBase.SerializationTestClass.ToString().

## Member Data Documentation

int IG.Lib.SerializerBase.SerializationTestArrayMember._ind1
| private

int IG.Lib.SerializerBase.SerializationTestArrayMember._ind2
| private

long IG.Lib.SerializerBase.SerializationTestArrayMember._longNumber = 0
| private

double IG.Lib.SerializerBase.SerializationTestArrayMember._doubleNumber = 0.0
| private

string IG.Lib.SerializerBase.SerializationTestArrayMember._str = null
| private

string IG.Lib.SerializerBase.SerializationTestArrayMember._modifiedName
| protected

## Property Documentation

virtual int IG.Lib.SerializerBase.SerializationTestArrayMember.Index1
| get set

virtual int IG.Lib.SerializerBase.SerializationTestArrayMember.Index2
| get set

virtual string IG.Lib.SerializerBase.SerializationTestArrayMember.Name
| get set

virtual string IG.Lib.SerializerBase.SerializationTestArrayMember.ModifiedName
| get set protected

virtual long IG.Lib.SerializerBase.SerializationTestArrayMember.LongNumber
| get set

virtual double IG.Lib.SerializerBase.SerializationTestArrayMember.DoubleNumber
| get set

The documentation for this class was generated from the following file:

- igbase/data/serialization/SerializerBase.cs